delta 发表于 2022-7-5 20:05:46

更改Lisp中的某些行

我在这方面有点麻烦。有没有Lisp程序的大师可以帮助我。我希望我已经足够清楚地解释了我的问题
插入。lsp。pdf

jonathann3891 发表于 2022-7-5 21:47:26

我对写Lisp程序很陌生,但我会给你我的意见。
 
您可以向lisp中添加多个命令,以提供所需的选项。我会为您提到的每个FFL添加一个单独的命令。
 
Insertit.lsp

;;------------------------------------------------------------;;
;;152ffl            ;;
;;------------------------------------------------------------;;
(defun c:152ffl ()
(on_hold)
)
(defun on_hold ()
(sp_inset)
(if(/= tm_ssget nil)
(command "_.erase" tm_ssget "")
)
(command "_.ucs" "")
(setvar "cecolor" "8")
(if(tblsearch "BLOCK" "DwgBOMBlockTableRecord3")(command "_.insert" "152FFL"
(list (* -10 real_scale) (* 12.5 real_scale)) real_scale real_scale 0))
(sp_outset)
)
;;------------------------------------------------------------;;
;;185ffl            ;;
;;------------------------------------------------------------;;
(defun c:185ffl ()
(on_hold)
)
(defun on_hold ()
(sp_inset)
(if(/= tm_ssget nil)
(command "_.erase" tm_ssget "")
)
(command "_.ucs" "")
(setvar "cecolor" "8")
(if(tblsearch "BLOCK" "DwgBOMBlockTableRecord3")(command "_.insert" "185FFL"
(list (* -10 real_scale) (* 12.5 real_scale)) real_scale real_scale 0))
(sp_outset)
)
;;------------------------------------------------------------;;
;;200ffl            ;;
;;------------------------------------------------------------;;
(defun c:200ffl ()
(on_hold)
)
(defun on_hold ()
(sp_inset)
(if(/= tm_ssget nil)
(command "_.erase" tm_ssget "")
)
(command "_.ucs" "")
(setvar "cecolor" "8")
(if(tblsearch "BLOCK" "DwgBOMBlockTableRecord3")(command "_.insert" "200FFL"
(list (* -10 real_scale) (* 12.5 real_scale)) real_scale real_scale 0))
(sp_outset)
)
页: [1]
查看完整版本: 更改Lisp中的某些行